/*
 *  MulleEOInterface - Replacement EOInterface Framework for EOF 
 *  Copyright (C) 2002 Mulle kybernetiK. All rights reserved.
 *
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; specifically
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  THIS IS EXPERIMENTAL SOFTWARE AND IT IS KNOWN TO HAVE BUGS, SOME OF
 *  WHICH MAY HAVE SERIOUS CONSEQUENCES. THE COPYRIGHT HOLDER ALLOWS FREE
 *  USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION. THE COPYRIGHT HOLDER
 *  DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER
 *  RESULTING DIRECTLY OR INDIRECTLY FROM THE USE OF THIS SOFTWARE OR OF
 *  ANY DERIVATIVE WORK.
 *
 *  Coded by Nat!
 *
 * $Id$
 *
 * $Log$
 *
 */
#ifndef _ASPECTSANDKEYS_H
#define _ASPECTSANDKEYS_H

#import <Foundation/Foundation.h>

// you shouldn't have linked with these anyway...
// now they are renamed...

extern NSString   *MulleEOInterfaceActionAspect;    // = @"action";
extern NSString   *MulleEOInterfaceArgumentAspect;  // = @"argument";
extern NSString   *MulleEOInterfaceBoldAspect;      // = @"bold";
extern NSString   *MulleEOInterfaceChildrenAspect;  // = @"children;
extern NSString   *MulleEOInterfaceDestinationAspect;  // = @"destination";
extern NSString   *MulleEOInterfaceEditableAspect;  // = @"editable";
extern NSString   *MulleEOInterfaceEnabledAspect;   // = @"enabled";
extern NSString   *MulleEOInterfaceImageAspect;      // = @"image";
extern NSString   *MulleEOInterfaceIsLeafAspect;    // = @"isLeaf";
extern NSString   *MulleEOInterfaceItalicAspect;    // = @"italic";
extern NSString   *MulleEOInterfaceMatchKey1Aspect; // = @"matchKey1";
extern NSString   *MulleEOInterfaceMatchKey2Aspect; // = @"matchKey2";
extern NSString   *MulleEOInterfaceMatchKey3Aspect; // = @"matchKey3";
extern NSString   *MulleEOInterfaceParentAspect;    // = @"parent";

extern NSString   *MulleEOInterfaceRootChildrenAspect; // = @"rootChildren";
extern NSString   *MulleEOInterfaceSelectedObjectAspect; // = @"selectedObject";
extern NSString   *MulleEOInterfaceSelectedObjectsAspect; // = @"selectedObjects";
extern NSString   *MulleEOInterfaceSelectedTagAspect;    // = @"selectedTag";
extern NSString   *MulleEOInterfaceSelectedTitleAspect;  // = @"selectedTitle";
extern NSString   *MulleEOInterfaceSourceAspect;    // = @"source";
extern NSString   *MulleEOInterfaceTextColorAspect; // = @"textColor";
extern NSString   *MulleEOInterfaceTitleAspect;     // = @"title";
extern NSString   *MulleEOInterfaceTitlesAspect;    // = @"titles";
extern NSString   *MulleEOInterfaceValueAspect;     // = @"value";

extern NSString   *MulleEOInterfaceDataSourceKey;   // = @"dataSource";
extern NSString   *MulleEOInterfaceDelegateKey;     // = @"delegate";
extern NSString   *MulleEOInterfaceIdentifierKey;   // = @"identifier";
extern NSString   *MulleEOInterfaceTargetKey;       // = @"target";

#endif
