/*
 *  MulleEOInterface - Replacement EOInterface Framework for EOF 
 *  Copyright (C) 2002 Mulle kybernetiK. All rights reserved.
 *
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; specifically
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  THIS IS EXPERIMENTAL SOFTWARE AND IT IS KNOWN TO HAVE BUGS, SOME OF
 *  WHICH MAY HAVE SERIOUS CONSEQUENCES. THE COPYRIGHT HOLDER ALLOWS FREE
 *  USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION. THE COPYRIGHT HOLDER
 *  DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER
 *  RESULTING DIRECTLY OR INDIRECTLY FROM THE USE OF THIS SOFTWARE OR OF
 *  ANY DERIVATIVE WORK.
 *
 *  Coded by Nat!
 *
 * $Id$
 *
 *
 * $Log$
 *
 */
#import "Defines.h"

#import "EOTableViewAssociation+DragNDrop.h"


NSString   *EOTableViewAssociationDragNDrop = @"EOTableViewAssociationDragNDrop";
NSString   *EODragNDropInfo                 = @"EODragNDropInfo";


@implementation EOTableViewAssociationDragNDropInfo

- (id)                  association   { return( association_); }
- (EODisplayGroup *)    displayGroup  { return( displayGroup_); }
- (NSPasteboard *)      pasteboard    { return( pasteboard_); }
- (id <NSDraggingInfo>) draggingInfo  { return( draggingInfo_); }
- (NSArray *)           types         { return( types_); }
- (EODragNDropStage)    stage         { return( stage_); }
- (unsigned int)        dragOperation { return( dragOperation_); }

- (void) setTypes:(NSArray *) types
{
   types_ = [[types retain] autorelease];	// keep for a while...
}


- (void) setDragOperation:(unsigned int) operation
{
   dragOperation_ = operation;
}

@end
