/*
 *  EOAspectConnector+IBConnectorsConvenience.h
 *  MulleEOInterface
 *
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; specifically
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *  USA
 *
 *  THIS IS EXPERIMENTAL SOFTWARE AND IT IS KNOWN TO HAVE BUGS, SOME OF
 *  WHICH MAY HAVE SERIOUS CONSEQUENCES. THE COPYRIGHT HOLDER ALLOWS FREE
 *  USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION. THE COPYRIGHT HOLDER
 *  DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER
 *  RESULTING DIRECTLY OR INDIRECTLY FROM THE USE OF THIS SOFTWARE OR OF
 *  ANY DERIVATIVE WORK.
 *
 *  Created by Nat! on Sun Apr 28 2002.
 *  $Id$
 *
 *  $Log$
 *
 */
#ifndef _EOASPECTCONNECTORIBCONNECTORS_H
#define _EOASPECTCONNECTORIBCONNECTORS_H

#import "EOAspectConnector.h"
#import <InterfaceBuilder/InterfaceBuilder.h>


@interface EOAspectConnector ( IBConnectors) <IBConnectors>

- (id) source;
- (id) destination;
- (NSString *) label;
- (void) replaceObject:(id) oldObject
            withObject:(id) newObject;
- (id) nibInstantiate;
- (void) establishConnection;

@end

#endif
