#import "Controller.h"


@implementation Controller

- (void) loadNib:(id) sender
{
   NSDictionary        *context;
   NSBundle            *bundle;
   NSAutoreleasePool   *pool;
   NSMutableArray      *toplevel;
   
   bundle   = [NSBundle mainBundle];
   toplevel = [NSMutableArray new];
   pool     = [NSAutoreleasePool new];
   
   context  = [NSDictionary dictionaryWithObjectsAndKeys:
      self, @"NSOwner",
      toplevel, @"NSTopLevelObjects",
      nil];
   
   if( [bundle loadNibFile:@"SimpleNib"
         externalNameTable:context
                  withZone:[self zone]] == NO)
   {
      NSLog( @"Failed");
   }
   [pool release];
   
   pool = [NSAutoreleasePool new];

   NSLog( @"DG retainCount: %u", [displayGroup retainCount]);
   NSLog( @"EC retainCount: %u", [editingContext retainCount]);
   NSLog( @"TL retainCount: %u", [toplevel retainCount]);
   NSLog( @"TL objects:     %@", toplevel);

   [pool release];
   
   [toplevel release];

   NSLog( @"DG retainCount: %u", [displayGroup retainCount]);
   NSLog( @"EC retainCount: %u", [editingContext retainCount]);
}

@end
